Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.chart
Class OdfPlotAreaElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.OdfStylableElement
                                  org.odftoolkit.odfdom.dom.element.chart.OdfPlotAreaElement

All Implemented Interfaces:
  Serializable, Cloneable, OdfStylePropertySet, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfPlotArea

    public abstract class OdfPlotAreaElement

extends OdfStylableElement

DOM implementation of OpenDocument element chart:plot-area.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfStylableElement
`mFamily, mStyleNameAttrib`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfPlotAreaElement(OdfFileDom aOwnerDoc)` Create the instance of OdfPlotAreaElement

Method Summary
`OdfAxisElement` | `createAxisElement(OdfDimensionType dimension)` Create child element chart:axis.
`OdfFloorElement` | `createFloorElement()` Create child element chart:floor.
`OdfLightElement` | `createLightElement(String direction)` Create child element dr3d:light.
`OdfSeriesElement` | `createSeriesElement()` Create child element chart:series.
`OdfStockGainMarkerElement` | `createStockGainMarkerElement()` Create child element chart:stock-gain-marker.
`OdfStockLossMarkerElement` | `createStockLossMarkerElement()` Create child element chart:stock-loss-marker.
`OdfStockRangeLineElement` | `createStockRangeLineElement()` Create child element chart:stock-range-line.
`OdfWallElement` | `createWallElement()` Create child element chart:wall.
`String` | `getAmbientColor()` Get value of attribute dr3d:ambient-color.
`OdfCellRangeAddressList` | `getCellRangeAddress()` Get value of attribute table:cell-range-address.
`OdfDataSourceHasLabelsType` | `getDataSourceHasLabels()` Get value of attribute chart:data-source-has-labels.
`OdfLength` | `getDistance()` Get value of attribute dr3d:distance.
`OdfLength` | `getFocalLength()` Get value of attribute dr3d:focal-length.
`OdfLength` | `getHeight()` Get value of attribute svg:height.
`OdfBoolean` | `getLightingMode()` Get value of attribute dr3d:lighting-mode.
`OdfName` | `getOdfName()` Get the element name
`OdfProjectionType` | `getProjection()` Get value of attribute dr3d:projection.
`OdfShadeModeType` | `getShadeMode()` Get value of attribute dr3d:shade-mode.
`String` | `getShadowSlant()` Get value of attribute dr3d:shadow-slant.
`String` | `getStyleName()` Get value of attribute chart:style-name.
`String` | `getTransform()` Get value of attribute dr3d:transform.
`String` | `getVpn()` Get value of attribute dr3d:vpn.
`String` | `getVrp()` Get value of attribute dr3d:vrp.
`String` | `getVup()` Get value of attribute dr3d:vup.
`OdfLength` | `getWidth()` Get value of attribute svg:width.
`OdfLength` | `getX()` Get value of attribute svg:x.
`OdfId` | `getXmlid()` Get value of attribute xml:id.
`OdfLength` | `getY()` Get value of attribute svg:y.
`void` | `setAmbientColor(String ambientColor)` Set value of attribute dr3d:ambient-color.
`void` | `setCellRangeAddress(OdfCellRangeAddressList cellRangeAddress)` Set value of attribute table:cell-range-address.
`void` | `setDataSourceHasLabels(OdfDataSourceHasLabelsType dataSourceHasLabels)` Set value of attribute chart:data-source-has-labels.
`void` | `setDistance(OdfLength distance)` Set value of attribute dr3d:distance.
`void` | `setFocalLength(OdfLength focalLength)` Set value of attribute dr3d:focal-length.
`void` | `setHeight(OdfLength height)` Set value of attribute svg:height.
`void` | `setLightingMode(OdfBoolean isLightingMode)` Set value of attribute dr3d:lighting-mode.
`void` | `setProjection(OdfProjectionType projection)` Set value of attribute dr3d:projection.
`void` | `setShadeMode(OdfShadeModeType shadeMode)` Set value of attribute dr3d:shade-mode.
`void` | `setShadowSlant(String shadowSlant)` Set value of attribute dr3d:shadow-slant.
`void` | `setStyleName(OdfStyleNameRef styleName)` Set value of attribute chart:style-name.
`void` | `setTransform(String transform)` Set value of attribute dr3d:transform.
`void` | `setVpn(String vpn)` Set value of attribute dr3d:vpn.
`void` | `setVrp(String vrp)` Set value of attribute dr3d:vrp.
`void` | `setVup(String vup)` Set value of attribute dr3d:vup.
`void` | `setWidth(OdfLength width)` Set value of attribute svg:width.
`void` | `setX(OdfLength x)` Set value of attribute svg:x.
`void` | `setXmlid(OdfId xmlid)` Set value of attribute xml:id.
`void` | `setY(OdfLength y)` Set value of attribute svg:y.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStylableElement
`getAutomaticStyle, getAutomaticStyles, getDocumentStyle, getOrCreateUnqiueAutomaticStyle, getProperties, getProperty, getStrictProperties, getStyleFamily, hasAutomaticStyle, hasDocumentStyle, hasProperty, onInsertNode, onRemoveNode, removeProperty, reuseDocumentStyle, setAttributeNS, setDocumentStyle, setProperties, setProperty, setStyleName`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfPlotAreaElement

    public OdfPlotAreaElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfPlotAreaElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element chart:plot-area.

### getX

    public OdfLength getX()

  Get value of attribute svg:x.

  Returns:
    return the attribute which type is OdfLength

### setX

    public void setX(OdfLength x)

  Set value of attribute svg:x.

  Parameters:
    `x` - the attribute's type is OdfLength

### getY

    public OdfLength getY()

  Get value of attribute svg:y.

  Returns:
    return the attribute which type is OdfLength

### setY

    public void setY(OdfLength y)

  Set value of attribute svg:y.

  Parameters:
    `y` - the attribute's type is OdfLength

### getWidth

    public OdfLength getWidth()

  Get value of attribute svg:width.

  Returns:
    return the attribute which type is OdfLength

### setWidth

    public void setWidth(OdfLength width)

  Set value of attribute svg:width.

  Parameters:
    `width` - the attribute's type is OdfLength

### getHeight

    public OdfLength getHeight()

  Get value of attribute svg:height.

  Returns:
    return the attribute which type is OdfLength

### setHeight

    public void setHeight(OdfLength height)

  Set value of attribute svg:height.

  Parameters:
    `height` - the attribute's type is OdfLength

### getStyleName

    public String getStyleName()

  Get value of attribute chart:style-name.

  Overrides:
    `getStyleName` in class `OdfStylableElement`
  Returns:
    return the attribute which type is String

### setStyleName

    public void setStyleName(OdfStyleNameRef styleName)

  Set value of attribute chart:style-name.

  Parameters:
    `styleName` - the attribute's type is OdfStyleNameRef

### getCellRangeAddress

    public OdfCellRangeAddressList getCellRangeAddress()

  Get value of attribute table:cell-range-address.

  Returns:
    return the attribute which type is OdfCellRangeAddressList

### setCellRangeAddress

    public void setCellRangeAddress(OdfCellRangeAddressList cellRangeAddress)

  Set value of attribute table:cell-range-address.

  Parameters:
    `cellRangeAddress` - the attribute's type is OdfCellRangeAddressList

### getDataSourceHasLabels

    public OdfDataSourceHasLabelsType getDataSourceHasLabels()

  Get value of attribute chart:data-source-has-labels.

  Returns:
    return the attribute which type is OdfDataSourceHasLabelsType

### setDataSourceHasLabels

    public void setDataSourceHasLabels(OdfDataSourceHasLabelsType dataSourceHasLabels)

  Set value of attribute chart:data-source-has-labels.

  Parameters:
    `dataSourceHasLabels` - the attribute's type is OdfDataSourceHasLabelsType

### getVrp

    public String getVrp()

  Get value of attribute dr3d:vrp.

  Returns:
    return the attribute which type is String

### setVrp

    public void setVrp(String vrp)

  Set value of attribute dr3d:vrp.

  Parameters:
    `vrp` - the attribute's type is String

### getVpn

    public String getVpn()

  Get value of attribute dr3d:vpn.

  Returns:
    return the attribute which type is String

### setVpn

    public void setVpn(String vpn)

  Set value of attribute dr3d:vpn.

  Parameters:
    `vpn` - the attribute's type is String

### getVup

    public String getVup()

  Get value of attribute dr3d:vup.

  Returns:
    return the attribute which type is String

### setVup

    public void setVup(String vup)

  Set value of attribute dr3d:vup.

  Parameters:
    `vup` - the attribute's type is String

### getProjection

    public OdfProjectionType getProjection()

  Get value of attribute dr3d:projection.

  Returns:
    return the attribute which type is OdfProjectionType

### setProjection

    public void setProjection(OdfProjectionType projection)

  Set value of attribute dr3d:projection.

  Parameters:
    `projection` - the attribute's type is OdfProjectionType

### getDistance

    public OdfLength getDistance()

  Get value of attribute dr3d:distance.

  Returns:
    return the attribute which type is OdfLength

### setDistance

    public void setDistance(OdfLength distance)

  Set value of attribute dr3d:distance.

  Parameters:
    `distance` - the attribute's type is OdfLength

### getFocalLength

    public OdfLength getFocalLength()

  Get value of attribute dr3d:focal-length.

  Returns:
    return the attribute which type is OdfLength

### setFocalLength

    public void setFocalLength(OdfLength focalLength)

  Set value of attribute dr3d:focal-length.

  Parameters:
    `focalLength` - the attribute's type is OdfLength

### getShadowSlant

    public String getShadowSlant()

  Get value of attribute dr3d:shadow-slant.

  Returns:
    return the attribute which type is String

### setShadowSlant

    public void setShadowSlant(String shadowSlant)

  Set value of attribute dr3d:shadow-slant.

  Parameters:
    `shadowSlant` - the attribute's type is String

### getShadeMode

    public OdfShadeModeType getShadeMode()

  Get value of attribute dr3d:shade-mode.

  Returns:
    return the attribute which type is OdfShadeModeType

### setShadeMode

    public void setShadeMode(OdfShadeModeType shadeMode)

  Set value of attribute dr3d:shade-mode.

  Parameters:
    `shadeMode` - the attribute's type is OdfShadeModeType

### getAmbientColor

    public String getAmbientColor()

  Get value of attribute dr3d:ambient-color.

  Returns:
    return the attribute which type is String

### setAmbientColor

    public void setAmbientColor(String ambientColor)

  Set value of attribute dr3d:ambient-color.

  Parameters:
    `ambientColor` - the attribute's type is String

### getLightingMode

    public OdfBoolean getLightingMode()

  Get value of attribute dr3d:lighting-mode.

  Returns:
    return the attribute which type is OdfBoolean

### setLightingMode

    public void setLightingMode(OdfBoolean isLightingMode)

  Set value of attribute dr3d:lighting-mode.

  Parameters:
    `isLightingMode` - the attribute's type is OdfBoolean

### getTransform

    public String getTransform()

  Get value of attribute dr3d:transform.

  Returns:
    return the attribute which type is String

### setTransform

    public void setTransform(String transform)

  Set value of attribute dr3d:transform.

  Parameters:
    `transform` - the attribute's type is String

### getXmlid

    public OdfId getXmlid()

  Get value of attribute xml:id.

  Returns:
    return the attribute which type is OdfId

### setXmlid

    public void setXmlid(OdfId xmlid)

  Set value of attribute xml:id.

  Parameters:
    `xmlid` - the attribute's type is OdfId

### createLightElement

    public OdfLightElement createLightElement(String direction)

  Create child element dr3d:light.

  Parameters:
    `direction` - String
  Returns:
    return the element dr3d:light

### createAxisElement

    public OdfAxisElement createAxisElement(OdfDimensionType dimension)

  Create child element chart:axis.

  Parameters:
    `dimension` - the attribute's type is OdfDimensionType, see chart:dimension at specification
  Returns:
    return the element chart:axis

### createSeriesElement

    public OdfSeriesElement createSeriesElement()

  Create child element chart:series.

  Returns:
    return the element chart:series

### createStockGainMarkerElement

    public OdfStockGainMarkerElement createStockGainMarkerElement()

  Create child element chart:stock-gain-marker.

  Returns:
    return the element chart:stock-gain-marker

### createStockLossMarkerElement

    public OdfStockLossMarkerElement createStockLossMarkerElement()

  Create child element chart:stock-loss-marker.

  Returns:
    return the element chart:stock-loss-marker

### createStockRangeLineElement

    public OdfStockRangeLineElement createStockRangeLineElement()

  Create child element chart:stock-range-line.

  Returns:
    return the element chart:stock-range-line

### createWallElement

    public OdfWallElement createWallElement()

  Create child element chart:wall.

  Returns:
    return the element chart:wall

### createFloorElement

    public OdfFloorElement createFloorElement()

  Create child element chart:floor.

  Returns:
    return the element chart:floor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.